Get more from your Mavic
The largest Mavic community in the world
Join Us Now

ios 11.2.5

  1. Keule

    Compatibility issues between iOS 11.2.5 and DJI GO / GO4

    ALCON: from DJI's forum: --- snip --- Dear users, Please note that there are some compatibility issues between the newly-released iOS 11.2.5 and our DJI GO 3.1.24, 3.1.26 or DJI GO 4 4.2.4 apps. The drone platforms potentially affected by this update are the Phantom 3 series, Phantom 4 series...